Admin Contradiction Propose Merge
矛盾ページ群を 1 本に統合した本文案を LLM で生成して提案する(人間承認ゲート)。
LLM 失敗(統合本文生成不能)は 503 retryable。preview のため record_maint_action はしない。 tenant_id は JWT から取得(リクエスト値を信用しない)。
POST
/admin/contradictions/propose-mergeHeader parameters
authorizationstring | anyX-Api-Keystring | anyRequest body
requiredapplication/jsonpage_idsstring[]requiredResponses
200Successful Response
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X POST "/admin/contradictions/propose-merge" \
-H "Content-Type: application/json" \
-d '{
"page_ids": [
"string"
]
}'const response = await fetch("/admin/contradictions/propose-merge", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"page_ids": [
"string"
]
})
});import requests
response = requests.post(
"/admin/contradictions/propose-merge",
headers={
"Content-Type": "application/json"
},
json={
"page_ids": [
"string"
]
},
)Response
"string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}